Module java.desktop
Package javax.swing.plaf.metal

# Class MetalRadioButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.basic.BasicButtonUI
javax.swing.plaf.basic.BasicToggleButtonUI
javax.swing.plaf.basic.BasicRadioButtonUI
javax.swing.plaf.metal.MetalRadioButtonUI

Direct Known Subclasses:
  `MetalCheckBoxUI`

    public class MetalRadioButtonUI
    extends BasicRadioButtonUI

RadioButtonUI implementation for MetalRadioButtonUI

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected Color` | `disabledTextColor` | The color of a disabled text.
`protected Color` | `focusColor` | The color of the focused radio button.
`protected Color` | `selectColor` | The color of the selected radio button.

### Fields declared in class javax.swing.plaf.basic.BasicRadioButtonUI

`icon`

### Fields declared in class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MetalRadioButtonUI()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ComponentUI` | `createUI​(JComponent c)` | Returns an instance of `MetalRadioButtonUI`.
`protected Color` | `getDisabledTextColor()` | Returns the color of the disabled text.
`protected Color` | `getFocusColor()` | Returns the color of the focused `JRadioButton`.
`protected Color` | `getSelectColor()` | Returns the color of the selected `JRadioButton`.

### Methods declared in class javax.swing.plaf.basic.BasicRadioButtonUI

`getDefaultIcon, getPreferredSize, paint, paintFocus`

### Methods declared in class javax.swing.plaf.basic.BasicToggleButtonUI

`getTextShiftOffset, paintIcon`

### Methods declared in class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getPropertyPrefix, installDefaults, installKeyboardActions, installListeners, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, installUI, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### focusColor

protected Color focusColor
The color of the focused radio button.

### selectColor

protected Color selectColor
The color of the selected radio button.

### disabledTextColor

protected Color disabledTextColor
The color of a disabled text.

## Constructor Details

### MetalRadioButtonUI

public MetalRadioButtonUI()

## Method Details

### createUI

public static ComponentUI createUI​(JComponent c)
Returns an instance of `MetalRadioButtonUI`.

Parameters:
  `c` - a component
Returns:
  an instance of `MetalRadioButtonUI`

### getSelectColor

protected Color getSelectColor()
Returns the color of the selected `JRadioButton`.

Returns:
  the color of the selected `JRadioButton`

### getDisabledTextColor

protected Color getDisabledTextColor()
Returns the color of the disabled text.

Returns:
  the color of the disabled text

### getFocusColor

protected Color getFocusColor()
Returns the color of the focused `JRadioButton`.

Returns:
  the color of the focused `JRadioButton`